Yuriko.Net 個別記事

2008-04-08
雨

携帯対応プラグイン Ktai Style バージョン 1.30 リリース

ゆりこ による 18:13:04 の投稿
カテゴリー: WordPressハック
タグ: , , , , ,

Ktai Style 画面

絵文字対応の WordPress 携帯対応プラグイン「Ktai Style」のバージョン 1.30 をリリースいたしました。主な変更点は以下の通りです。

  • WordPress 2.5 正式版およびイー・モバイル音声端末での動作を確認しました。
  • WordPress 2.0.x, 2.1.x にも対応しました。ただし閲覧機能のみ対応で、管理機能は使えません。
  • PC 版ページの URL に携帯電話でアクセスするとモバイル版ページが出るブログサービスへのリンクは、中継ページを出さずに直接ジャンプするようにしました。
  • 外部サイトのリンクで、a 要素に class=”ktai” を追加した場合、中継ページを出さずに直接ジャンプするようにしました。リンク先 URL が同一 URL で PC/携帯両対応しているサイトの場合に指定すると便利です。
  • 他のプラグインが本文に挿入したスタイルシートや JavaScript を削除するようにしました。
  • コメント時に端末識別情報を必須にしている場合、mova, FOMA では iモード ID を取得するようにしました。
  • コメント投稿時に端末識別情報を必須とする対象に、イー・モバイル音声端末 (EMnet 経由接続の場合) を加えました。
  • compact, default テーマで、コメント表示時の「コメント投稿」のリンクを、コメントの先頭ではなくコメント末尾の下に移動しました。
  • 管理画面の「投稿管理」で、年月を指定して絞り込みできるようにしました。
  • 自作の携帯テーマファイルは wp-content/ktai-themes/ ディレクトリー配下に入れられるようにしました。ktai_style ディレクトリーの外側のため、プラグインのアップグレードが容易になります。
  • 携帯キャリアのIPアドレス帯域からアクセスしているかの判別をできるようにしました 。
ダウンロード: ktai_style130.tar.bz2 (189.8 KB)
バージョン 1.31 をリリースしました。

今回のバージョンアップは、WordPress 2.5 正式対応が目玉です。WordPress 2.5 RC2 で動作確認ずみでしたが、正式版になって発生した不具合などを直しています。また、WordPress 2.0, 2.1 にも閲覧機能のみ対応としました。さらに、携帯対応のブログサービスには中継ページを出さずにジャンプする機能も追加しました。

今後は、自動ログイン機能と、Ktai Style/Mobile Eye+/MT4i をインストールしている独自ブログの検出機能などを実装する予定です。

[追記 04:25] 超重要なことを書き忘れていました。携帯管理機能ですが、WordPress 2.2.x 系統のサポートは、1.3x 系統で終了します。次期 1.4x 系統では、管理機能が使えるのは WordPress 2.3.x 以降のみとする予定です。WordPress の管理機能は、バージョンごとに内部構造が結構違うため、複数バージョンに対応させるのは大変なのです……。このため、管理機能のサポートは、比較的新しい WordPress のみとします。閲覧機能は、テンプレートタグの互換性が保たれているため、WP 2.0 以降のサポートが継続できそうです。

トラックバック・コメント »

  1. 携帯表示系をVer1.30へバージョンアップ!

    このブログの携帯表示系の制御を行っているプラグイン

    Ktai Style @ Yuriko.net

    バージョンを1.21 -> 1.30に

    上げました

    WordPress2.5への正式対応がメインで
    その他いっぱいの,改良が施された模…

    吟遊詩人の戯言からのトラックバック
  2. Ktai Style 1.30リリース…対応しました

    WordPressのサイトを携帯閲覧に対応させるなら…もうKtai Styleしか考えられないですよね
    WordPress 2.5に正式対応した『携帯対応プラグイン Ktai Style バージョン 1.30 リリース』と言うことで、…

    Slashcolon /:からのトラックバック
  3. いつもお世話になります。
    こちらで聞いていいのかわかりませんが・・・

    私は、プログインの”JSeries Notifier”を入れています。

    これを入れていれば、Ktai Style のバージョンアップした時に、プラグインの画面でお知らせが出ると思ったのですが、違うのでしょうか?

    ”JSeries Notifier”は、Ktai Style の為だけに入れているので、もし違うようでしたら、このプラグインをはずそうと考えています。

    コマメからのコメント
    • 私は、プログインの”JSeries Notifier”を入れています。
      これを入れていれば、Ktai Style のバージョンアップした時に、プラグインの画面でお知らせが出ると思ったのですが、違うのでしょうか?

      基本的にはそうです。ただ、更新頻度は1日(86400秒)となっていますので、毎日プラグイン一覧画面を見ているとすると、最大で1日遅れて通知されることがあります。申し訳ないですが、あと1日様子を見てもらえないでしょうか。

      もしくは、WordPress をインストールしているサーバーから外部への通信が直接できないとき (ファイアーウォール内にある等) は、JSeries Notifer は使えません。明日になっても更新通知がこない場合は、こちらに該当するかもしれませんので、JSeries Notifier を使うのはあきらめてください。

      ゆりこからのコメント
      • お騒がせいたしました。
        只今確認すると、表示が出ておりました。
        なにぶん、こちらのブログをたびたび見ているので、データの更新前に確認していたようです。
        早速、今回のKtai Style をアップグレードしたいと思います。
        これからも、よろしくお願いします。

        コマメからのコメント
  4. こちらに質問でいいでしょうか。
    WP2.5にインストールしたいのですが、インストール自体ができません。
    1.30です。アップロードはできています。
    注意点があれば教えてください。よろしくお願いします。

    gabからのコメント
    • WP2.5にインストールしたいのですが、インストール自体ができません。

      プラグインを有効化するタイミングでエラーが出ますか? その場合は、サーバーの PHP が 5.2.0 以上であることをご確認願います。PHP 4.x では動きませんので、その場合はあきらめてください。

上に戻る

※スパム対策プラグインの影響により、すぐにトラックバックが反映されない場合があります。お手数ですが、半日ほど待ってみてください。

コメント投稿

※発言の責任を明確にするため「名無し」「通りすがり」「匿名希望」等の匿名は不可とします。捨てハンドルでもいいので必ず名乗ってください。
XHTML (使えるタグ): <a href="" title="" ktai=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <img localsrc="" alt=""> .
※スパム対策プラグインの影響により、すぐにコメント内容が表示されない場合があります。お手数ですが、半日ほど待ってみてください。

上に戻る